# Uses of Enum Class
com.ocient.jdbc.proto.ClientWireProtocol.ServerSignal

Packages that use ClientWireProtocol.ServerSignal
Package
Description
com.ocient.jdbc.proto

## Uses of ClientWireProtocol.ServerSignal in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return ClientWireProtocol.ServerSignal
Modifier and Type
Method
Description
`static ClientWireProtocol.ServerSignal`
ClientWireProtocol.ServerSignal.`forNumber(int value)`
`static ClientWireProtocol.ServerSignal`
ClientWireProtocol.ServerSignal.`valueOf(int value)`
Deprecated.
`static ClientWireProtocol.ServerSignal`
ClientWireProtocol.ServerSignal.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.ServerSignal`
ClientWireProtocol.ServerSignal.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.ServerSignal[]`
ClientWireProtocol.ServerSignal.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc.proto that return types with arguments of type ClientWireProtocol.ServerSignal
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ServerSignal>`
ClientWireProtocol.ServerSignal.`internalGetValueMap()`